<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:34:15 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>RecordEventsListener (org.eclipse.papyrus.designer.languages.common.base 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RecordEventsListener (org.eclipse.papyrus.designer.languages.common.base 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RecordEventsListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.LifeCycleListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" target="_top">Frames</a></li>
<li><a href="RecordEventsListener.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.common.base.codesync</div>
<h2 title="Class RecordEventsListener" class="title">Class RecordEventsListener</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.common.base.codesync.RecordEventsListener</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/8/docs/api/java/util/EventListener.html?is-external=true" title="class or interface in java.util">EventListener</a>, org.eclipse.emf.transaction.ResourceSetListener</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">RecordEventsListener</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements org.eclipse.emf.transaction.ResourceSetListener</pre>
<div class="block">This listener is used to register ADD ant SET about in the diff model during
 the launch of the revision mode. It also create review element in the review
 model. See package commands for specification of review creation commands.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.transaction.ResourceSetListener">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.transaction.ResourceSetListener</h3>
<code>org.eclipse.emf.transaction.ResourceSetListener.Internal</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ChangeObject</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#changeList">changeList</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#RecordEventsListener--">RecordEventsListener</a></span>()</code>
<div class="block">constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ChangeObject</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#getChangeList--">getChangeList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.transaction.NotificationFilter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#getFilter--">getFilter</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#initChangeList--">initChangeList</a></span>()</code>
<div class="block">initialize (reset) the list of recorded changes</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#isAggregatePrecommitListener--">isAggregatePrecommitListener</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#isPostcommitOnly--">isPostcommitOnly</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#isPrecommitOnly--">isPrecommitOnly</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#resourceSetChanged-org.eclipse.emf.transaction.ResourceSetChangeEvent-">resourceSetChanged</a></span>(org.eclipse.emf.transaction.ResourceSetChangeEvent&nbsp;event)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.command.Command</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#transactionAboutToCommit-org.eclipse.emf.transaction.ResourceSetChangeEvent-">transactionAboutToCommit</a></span>(org.eclipse.emf.transaction.ResourceSetChangeEvent&nbsp;event)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="changeList">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>changeList</h4>
<pre>protected&nbsp;org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ChangeObject</a>&gt; changeList</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RecordEventsListener--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RecordEventsListener</h4>
<pre>public&nbsp;RecordEventsListener()</pre>
<div class="block">constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reviewResourceManager</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFilter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFilter</h4>
<pre>public&nbsp;org.eclipse.emf.transaction.NotificationFilter&nbsp;getFilter()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getFilter</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.transaction.ResourceSetListener</code></dd>
</dl>
</li>
</ul>
<a name="getChangeList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChangeList</h4>
<pre>public&nbsp;org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ChangeObject</a>&gt;&nbsp;getChangeList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of recorded change events</dd>
</dl>
</li>
</ul>
<a name="initChangeList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initChangeList</h4>
<pre>public&nbsp;void&nbsp;initChangeList()</pre>
<div class="block">initialize (reset) the list of recorded changes</div>
</li>
</ul>
<a name="transactionAboutToCommit-org.eclipse.emf.transaction.ResourceSetChangeEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transactionAboutToCommit</h4>
<pre>public&nbsp;org.eclipse.emf.common.command.Command&nbsp;transactionAboutToCommit(org.eclipse.emf.transaction.ResourceSetChangeEvent&nbsp;event)
                                                                throws org.eclipse.emf.transaction.RollbackException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>transactionAboutToCommit</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.transaction.ResourceSetListener</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.eclipse.emf.transaction.RollbackException</code></dd>
</dl>
</li>
</ul>
<a name="resourceSetChanged-org.eclipse.emf.transaction.ResourceSetChangeEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resourceSetChanged</h4>
<pre>public&nbsp;void&nbsp;resourceSetChanged(org.eclipse.emf.transaction.ResourceSetChangeEvent&nbsp;event)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>resourceSetChanged</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.transaction.ResourceSetListener</code></dd>
</dl>
</li>
</ul>
<a name="isAggregatePrecommitListener--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAggregatePrecommitListener</h4>
<pre>public&nbsp;boolean&nbsp;isAggregatePrecommitListener()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isAggregatePrecommitListener</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.transaction.ResourceSetListener</code></dd>
</dl>
</li>
</ul>
<a name="isPrecommitOnly--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPrecommitOnly</h4>
<pre>public&nbsp;boolean&nbsp;isPrecommitOnly()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isPrecommitOnly</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.transaction.ResourceSetListener</code></dd>
</dl>
</li>
</ul>
<a name="isPostcommitOnly--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isPostcommitOnly</h4>
<pre>public&nbsp;boolean&nbsp;isPostcommitOnly()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isPostcommitOnly</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.transaction.ResourceSetListener</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RecordEventsListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.LifeCycleListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" target="_top">Frames</a></li>
<li><a href="RecordEventsListener.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
